---
name: "Linting and tests"
run-name: "Linting and tests"
on:
  - push

jobs:
  Linting:
    runs-on: "ubuntu-22.04"
    steps:
      - name: "checkout source"
        uses: actions/checkout@v4
      - name: "lint"
        uses: docker://code.pztrn.name/containers/go-toolbox:v4
        with:
          command: "/usr/local/bin/task lint"

  Tests:
    runs-on: "ubuntu-22.04"
    steps:
      - name: "checkout source"
        uses: actions/checkout@v4
      - name: "tests"
        uses: docker://code.pztrn.name/containers/go-toolbox:v4
        with:
          command: "/usr/local/bin/task test"
